"""
    cargo
    ~~~~~
    Minimal interface for creating Python objects
    from dictionaries. Easily specify your schema
    and models::

        >>> from cargo import Field, Spec, unpack
        >>> class Person(Spec):
        ...     name = Field(str).With.length(6)
        ...
        >>> eugene = unpack(Person, {
        ...     'name': 'Eugene'
        ... })
        >>> eugene.name
        'Eugene'

    Somewhat like an ORM but the Field object is
    chainable for increased readability. Plus it
    works across any database.
"""

from cargo.field import Field
from cargo.spec import Spec, unpack, pack
